@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;600;700&display=swap');

*, :root {
  margin: 0;
  padding: 0;
  box-sizing: border-box;

 font-family: 'Inter', sans-serif;
 font-synthesis: none;
 text-rendering: optimizeLegibility;
 -webkit-font-smoothing: antialiased;
 -moz-osx-font-smoothing: grayscale;
 -webkit-text-size-adjuste: 100%;
}

body {
  background-color: #0f172a;
}

main {
  padding: 20px;
  max-width: 640px;
  margin: 0 64px;
}

header {
  margin-top: 64px;
  padding-bottom: 24px;
  border-bottom: 1px solid #334155;
}

header h1 {
  margin-top: 24px;
  font-size: 30px;
  color: #f2f5f9;
}

#quiz {
  counter-reset: quiz-item;
}

.quiz-item {
  margin-top: 24px;
  border: 1px solid #475569;
  border-radius: 6px;

  overflow: hidden;
  
}

.quiz-item h3 {
  padding: 16px 20px;
  color: #e2e8f0;

  display: flex;
  align-items: center;
  gap: 12px;

  background-color: #1e293b;
}

.quiz-item h3:before {
  counter-increment: quiz-item;
  content: counter(quiz-item);

  background-color: #475569;
  width: 28px;
  height: 28px;
  font-size: 12px;
  border-radius: 50%;

  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}

.quiz-item dl {
  padding: 20px 24px;
  
  display: grid;
  gap: 8px;
}

.quiz-item dl dt {
  font-size: 14px;
  line-height: 24px;
  letter-spacing: 0;

  display: flex;
  align-items: center;
  gap: 8px;

  color: #e2e3f0;
}

input {
  all: unset;
  border: 1px solid #94a3b8;
  width: 16px;
  height: 16px;

  border-radius: 50%;

  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}

input:checked {
  border: 1px solid #A3e635;
}

input:checked:before {
  content: "";
  width: 10px;
  height: 10px;

  background-color: #A3e635;
  border-radius: 50%;
}


#acertos {
  text-align: center;
  background-color: #3be009;

  position: fixed;
  bottom:0;
  left:0;

  width: 100%;
  padding: 12px;
}



